# AaveClaimStkAave

### Description

Action to claim stkAave rewards

> **Notes**
>
> Claims stkAave rewards on the assets of the lending pool

### Action ID

`0xd93d7e7f`

### SDK Action

```ts
const aaveClaimStkAaveAction = new dfs.actions.aave.AaveClaimStkAaveAction(
    assets,
    amount,
    to
);
```

### Action Type

`STANDARD_ACTION`

### Input Parameters

```solidity
    /// @param assets Assets to claim rewards from.
    /// @param amount Amount of rewards to claim.
    /// @param to Address that will be receiving the rewards.
    struct Params {
        address[] assets;
        uint256 amount;
        address to;
    }
```

### Return Value

```solidity
return bytes32(claimedAmount);
```

### Events and Logs

```solidity
emit ActionEvent("AaveClaimStkAave", logData);
logger.logActionDirectEvent("AaveClaimStkAave", logData);
bytes memory logData = abi.encode(params);
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.defisaver.com/actions/aave-v2/aaveclaimstkaave.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
